package com.hzya.frame.plugin.ofs.plugin;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.base.PluginBaseEntity;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class OfsRepushDataInitializer extends PluginBaseEntity {
    Logger logger = LoggerFactory.getLogger(OfsRepushDataInitializer.class);

    @Override
    public void initialize() {
        logger.info(getPluginLabel() + "執行初始化方法initialize()");
    }

    @Override
    public void destroy() {
        logger.info(getPluginLabel() + "執行銷毀方法destroy()");
    }

    @Override
    public String getPluginId() {
        return "ofsRepushDataInitializer";
    }

    @Override
    public String getPluginName() {
        return "数据库备份下发";
    }

    @Override
    public String getPluginLabel() {
        return "ofsRepushDataInitializer";
    }

    @Override
    public String getPluginType() {
        return "1";
    }



    /**
     * @Author lvleigang
     * @Description  获取ofs订单重新推送数据
     * @Date 3:12 下午 2024/10/24
     * @param requestJson
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    @Override
    public JsonResultEntity executeBusiness(JSONObject requestJson) {


        System.out.println("获取ofs订单重新推送数据");


        return BaseResult.getSuccessMessageEntity("获取成功");
    }


}
