package com.hzya.frame.plugin.ofs.plugin;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.base.PluginBaseEntity;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.apache.http.HttpEntity;
import org.apache.http.NameValuePair;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.util.EntityUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class OfsSendDataInitializer extends PluginBaseEntity {
    Logger logger = LoggerFactory.getLogger(OfsSendDataInitializer.class);

    @Override
    public void initialize() {
        logger.info(getPluginLabel() + "執行初始化方法initialize()");
    }

    @Override
    public void destroy() {
        logger.info(getPluginLabel() + "執行銷毀方法destroy()");
    }

    @Override
    public String getPluginId() {
        return "ofsSendDataInitializer";
    }

    @Override
    public String getPluginName() {
        return "数据库备份下发";
    }

    @Override
    public String getPluginLabel() {
        return "ofsSendDataInitializer";
    }

    @Override
    public String getPluginType() {
        return "1";
    }



    /**
     * @Author lvleigang
     * @Description  获取ofs订单发送数据
     * @Date 3:12 下午 2024/10/24
     * @param requestJson
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    @Override
    public JsonResultEntity executeBusiness(JSONObject requestJson) {

        return BaseResult.getSuccessMessageEntity("订单发送");

    }

}
