package com.hzya.frame.u8.base.identity.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.u8.base.identity.dao.IUAIdentityDao;
import com.hzya.frame.u8.base.identity.entity.UAIdentityEntity;
import org.springframework.stereotype.Repository;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2025/3/13 17:02
 **/
@Repository
public class UAIdentityDaoImpl extends MybatisGenericDao<UAIdentityEntity,String> implements IUAIdentityDao {

    @Override
    @DS("#entity.dataSourceCode")
    public void updateIdentity(UAIdentityEntity entity) {
        super.update(getSqlIdPrifx()+"UAIdentityEntity_update_iFatherId",entity);
    }
}
