package com.hzya.frame.u8.base.inventory.service;

import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.u8.base.inventory.entity.InventoryEntity;

import java.util.List;

/**
 * @Description存货档案
 * @Author xiangerlin
 * @Date 2025/3/13 15:35
 **/
public interface IInventoryService extends IBaseService<InventoryEntity,String> {

    /**
     * 查询存货档案
     * @param entity
     * @return
     * @throws Exception
     */
    List<InventoryEntity> queryList(InventoryEntity entity)throws Exception;

    /**
     * 新增存货档案
     * @param entity
     * @throws Exception
     */
    void saveInventory(InventoryEntity entity)throws Exception;

    /**
     * 修改存货档案
     * @param entity
     * @throws Exception
     */
    void updateInventory(InventoryEntity entity)throws Exception;
}
