package com.hzya.frame.u8.base.inventory.service;

import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.u8.base.inventory.entity.InventorySubEntity;

/**
 * @Description 存货子表
 * @Author xiangerlin
 * @Date 2025/3/13 16:40
 **/
public interface IInventorySubService extends IBaseService<InventorySubEntity,String> {

    /**
     * 根据存货编码查存货子表
     * @param entity
     * @return
     */
    InventorySubEntity getInvSub(InventorySubEntity entity)throws Exception;

    void saveOrUpdateInvSub(InventorySubEntity entity)throws Exception;
}
