package com.hzya.frame.plugin.zjmaterielsynchronizationevent.dao.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.plugin.zjmaterielsynchronizationevent.dao.IZjMaterielSynchronizationEventDao;
import com.hzya.frame.plugin.zjmaterielsynchronizationevent.entity.ZjMaterielSynchronizationEventDto;
import com.hzya.frame.plugin.zjmaterielsynchronizationevent.entity.ZjMaterielSynchronizationEventEntity;
import com.hzya.frame.seeyon.entity.SeeyonEntity;
import com.hzya.frame.u8.base.inventory.entity.InventoryEntity;

import java.util.List;

/***
 * 物料档案同步
 * @content:
 * @author 👻👻👻👻👻👻👻👻 gjh
 * @date 2025-03-03 11:12
 * @param
 * @return
 **/
public class ZjMaterielSynchronizationEventDaoImpl extends MybatisGenericDao<ZjMaterielSynchronizationEventEntity, String> implements IZjMaterielSynchronizationEventDao {

    @Override
    @DS("#entity.dataSourceCode")
    public List<InventoryEntity> queryInventoryEntity(ZjMaterielSynchronizationEventDto entity) {
        return (List<InventoryEntity>) super.selectList(getSqlIdPrifx() + "queryInventoryEntity",entity);
    }

    @Override
    @DS("#entity.dataSourceCode")
    public String queryMaxLsh(ZjMaterielSynchronizationEventEntity entity) {
        return (String) super.selectOne(getSqlIdPrifx() + "queryMaxLsh",entity);
    }

    @Override
    @DS("#entity.dataSourceCode")
    public Integer updatewlbm(ZjMaterielSynchronizationEventEntity entity) {
        return super.update(getSqlIdPrifx() + "updatewlbm",entity);
    }

    @Override
    @DS("#entity.dataSourceCode")
    public List<ZjMaterielSynchronizationEventEntity> queryById(ZjMaterielSynchronizationEventEntity entity) {
        return (List<ZjMaterielSynchronizationEventEntity>) super.selectList(getSqlIdPrifx() + "queryById",entity);
    }
    @Override
    @DS("#entity.dataSourceCode")
    public List<ZjMaterielSynchronizationEventEntity> getmeiji(ZjMaterielSynchronizationEventEntity entity) {
        return (List<ZjMaterielSynchronizationEventEntity>) super.selectList(getSqlIdPrifx() + "getmeiji",entity);
    }
    @Override
    @DS("#entity.dataSourceCode")
    public List<ZjMaterielSynchronizationEventEntity> getuser(ZjMaterielSynchronizationEventEntity entity) {
        return (List<ZjMaterielSynchronizationEventEntity>) super.selectList(getSqlIdPrifx() + "getuser",entity);
    }
    @Override
    @DS("#entity.dataSourceCode")
    public List<ZjMaterielSynchronizationEventEntity> getUser(ZjMaterielSynchronizationEventEntity entity) {
        return (List<ZjMaterielSynchronizationEventEntity>) super.selectList(getSqlIdPrifx() + "getUser",entity);
    }

    @Override
    @DS("#entity.dataSourceCode")
    public List<InventoryEntity> queryInventory(ZjMaterielSynchronizationEventEntity entity) {
        return (List<InventoryEntity>) super.selectList(getSqlIdPrifx() + "queryInventory",entity);

    }

    @Override
    @DS("#entity.dataSourceCode")
    public Integer queryKh(ZjMaterielSynchronizationEventEntity entity) {
        return super.getCount(getSqlIdPrifx() + "queryKh",entity);

    }
    @Override
    @DS("#entity.dataSourceCode")
    public Integer queryXM(ZjMaterielSynchronizationEventEntity entity) {
        return super.getCount(getSqlIdPrifx() + "queryXM",entity);

    }
}

