package com.hzya.frame.u8.base.identity.service;


import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.u8.base.identity.entity.UAIdentityEntity;

import java.util.List;

/**
 * @Description 单据主键生成控制表  service
 * @Author xiang2lin
 * @Date 2021/12/27 16:34
 **/
public interface IUAIdentityService extends IBaseService<UAIdentityEntity,String> {

    /**
     * 查询销售订单最大主键
     * @return
     * @throws Exception
     */
    UAIdentityEntity queryMaxSaleOrderId(String acc_id, String type)throws Exception;

    /**
     * 更新最大主键
     * @param entity
     * @return
     * @throws Exception
     */
    UAIdentityEntity updateMaxSaleOrderId(UAIdentityEntity entity)throws Exception;
}
