package com.hzya.frame.u8.base.inventory.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2025/3/13 15:34
 **/
public class InventoryEntity extends BaseEntity {

    //存货自由项
    private InventoryExtEntity invExtEntity;
    //存货副表
    private InventorySubEntity invSubEntity;

    /** 无备注 */
    private String cInvCode;
    /** 无备注 */
    private String cInvAddCode;
    /** 无备注 */
    private String cInvName;
    /** 无备注 */
    private String cInvStd;
    /** 无备注 */
    private String cInvCCode;
    /** 无备注 */
    private String cVenCode;
    /** 无备注 */
    private String cReplaceItem;
    /** 无备注 */
    private String cPosition;
    /** 无备注 */
    private String bSale;
    /** 无备注 */
    private String bPurchase;
    /** 无备注 */
    private String bSelf;
    /** 无备注 */
    private String bComsume;
    /** 无备注 */
    private String bProducing;
    /** 无备注 */
    private String bService;
    /** 无备注 */
    private String bAccessary;
    /** 无备注 */
    private Float iTaxRate;
    /** 无备注 */
    private Float iInvWeight;
    /** 无备注 */
    private Float iVolume;
    /** 无备注 */
    private Float iInvRCost;
    /** 无备注 */
    private Float iInvSPrice;
    /** 无备注 */
    private Float iInvSCost;
    /** 无备注 */
    private Float iInvLSCost;
    /** 无备注 */
    private Float iInvNCost;
    /** 无备注 */
    private Float iInvAdvance;
    /** 无备注 */
    private Float iInvBatch;
    /** 无备注 */
    private Float iSafeNum;
    /** 无备注 */
    private Float iTopSum;
    /** 无备注 */
    private Float iLowSum;
    /** 无备注 */
    private Float iOverStock;
    /** 无备注 */
    private String cInvABC;
    /** 无备注 */
    private String bInvQuality;
    /** 无备注 */
    private String bInvBatch;
    /** 无备注 */
    private String bInvEntrust;
    /** 无备注 */
    private String bInvOverStock;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dSDate;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dEDate;
    /** 无备注 */
    private String bFree1;
    /** 无备注 */
    private String bFree2;
    /** 无备注 */
    private String cInvDefine1;
    /** 无备注 */
    private String cInvDefine2;
    /** 无备注 */
    private String cInvDefine3;
    /**  无备注  */
    private Integer I_id;
    /** 无备注 */
    private String bInvType;
    /** 无备注 */
    private Float iInvMPCost;
    /** 无备注 */
    private String cQuality;
    /** 无备注 */
    private Float iInvSaleCost;
    /** 无备注 */
    private Float iInvSCost1;
    /** 无备注 */
    private Float iInvSCost2;
    /** 无备注 */
    private Float iInvSCost3;
    /** 无备注 */
    private String bFree3;
    /** 无备注 */
    private String bFree4;
    /** 无备注 */
    private String bFree5;
    /** 无备注 */
    private String bFree6;
    /** 无备注 */
    private String bFree7;
    /** 无备注 */
    private String bFree8;
    /** 无备注 */
    private String bFree9;
    /** 无备注 */
    private String bFree10;
    /** 无备注 */
    private String cCreatePerson;
    /** 无备注 */
    private String cModifyPerson;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dModifyDate;
    /** 无备注 */
    private Float fSubscribePoint;
    /** 无备注 */
    private Float fVagQuantity;
    /** 无备注 */
    private String cValueType;
    /** 无备注 */
    private String bFixExch;
    /** 无备注 */
    private Float fOutExcess;
    /** 无备注 */
    private Float fInExcess;
    /**  无备注  */
    private Integer iMassDate;
    /**  无备注  */
    private Integer iWarnDays;
    /** 无备注 */
    private Float fExpensesExch;
    /** 无备注 */
    private String bTrack;
    /** 无备注 */
    private String bSerial;
    /** 无备注 */
    private String bBarCode;
    /**  无备注  */
    private Integer iId;
    /** 无备注 */
    private String cBarCode;
    /** 无备注 */
    private String cInvDefine4;
    /** 无备注 */
    private String cInvDefine5;
    /** 无备注 */
    private String cInvDefine6;
    /** 无备注 */
    private String cInvDefine7;
    /** 无备注 */
    private String cInvDefine8;
    /** 无备注 */
    private String cInvDefine9;
    /** 无备注 */
    private String cInvDefine10;
    /**  无备注  */
    private Integer cInvDefine11;
    /**  无备注  */
    private Integer cInvDefine12;
    /** 无备注 */
    private Float cInvDefine13;
    /** 无备注 */
    private Float cInvDefine14;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cInvDefine15;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cInvDefine16;
    /**  无备注  */
    private Integer iGroupType;
    /** 无备注 */
    private String cGroupCode;
    /** 无备注 */
    private String cComUnitCode;
    /** 无备注 */
    private String cAssComUnitCode;
    /** 无备注 */
    private String cSAComUnitCode;
    /** 无备注 */
    private String cPUComUnitCode;
    /** 无备注 */
    private String cSTComUnitCode;
    /** 无备注 */
    private String cCAComUnitCode;
    /** 无备注 */
    private String cFrequency;
    /**  无备注  */
    private Integer iFrequency;
    /**  无备注  */
    private Integer iDays;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dLastDate;
    /** 无备注 */
    private Float iWastage;
    /** 无备注 */
    private String bSolitude;
    /** 无备注 */
    private String cEnterprise;
    /** 无备注 */
    private String cAddress;
    /** 无备注 */
    private String cFile;
    /** 无备注 */
    private String cLabel;
    /** 无备注 */
    private String cCheckOut;
    /** 无备注 */
    private String cLicence;
    /** 无备注 */
    private String bSpecialties;
    /** 无备注 */
    private String cDefWareHouse;
    /** 无备注 */
    private Float iHighPrice;
    /** 无备注 */
    private Float iExpSaleRate;
    /** 无备注 */
    private String cPriceGroup;
    /** 无备注 */
    private String cOfferGrade;
    /** 无备注 */
    private Float iOfferRate;
    /** 无备注 */
    private String cMonth;
    /**  无备注  */
    private Integer iAdvanceDate;
    /** 无备注 */
    private String cCurrencyName;
    /** 无备注 */
    private String cProduceAddress;
    /** 无备注 */
    private String cProduceNation;
    /** 无备注 */
    private String cRegisterNo;
    /** 无备注 */
    private String cEnterNo;
    /** 无备注 */
    private String cPackingType;
    /** 无备注 */
    private String cEnglishName;
    /** 无备注 */
    private String bPropertyCheck;
    /** 无备注 */
    private String cPreparationType;
    /** 无备注 */
    private String cCommodity;
    /**  无备注  */
    private Integer iRecipeBatch;
    /** 无备注 */
    private String cNotPatentName;
    /** 无备注 */
    private String pubufts;
    /** 无备注 */
    private String bPromotSales;
    /**  无备注  */
    private Integer iPlanPolicy;
    /**  无备注  */
    private Integer iROPMethod;
    /**  无备注  */
    private Integer iBatchRule;
    /** 无备注 */
    private Float fBatchIncrement;
    /**  无备注  */
    private Integer iAssureProvideDays;
    /**  无备注  */
    private Integer iTestStyle;
    /**  无备注  */
    private Integer iDTMethod;
    /** 无备注 */
    private Float fDTRate;
    /** 无备注 */
    private Float fDTNum;
    /** 无备注 */
    private String cDTUnit;
    /**  无备注  */
    private Integer iDTStyle;
    /**  无备注  */
    private Integer iQTMethod;
    /** 无备注 */
    private String PictureGUID;
    /** 无备注 */
    private String bPlanInv;
    /** 无备注 */
    private String bProxyForeign;
    /** 无备注 */
    private String bATOModel;
    /** 无备注 */
    private String bCheckItem;
    /** 无备注 */
    private String bPTOModel;
    /** 无备注 */
    private String bEquipment;
    /** 无备注 */
    private String cProductUnit;
    /** 无备注 */
    private Float fOrderUpLimit;
    /**  无备注  */
    private Integer cMassUnit;
    /** 无备注 */
    private Float fRetailPrice;
    /** 无备注 */
    private String cInvDepCode;
    /**  无备注  */
    private Integer iAlterAdvance;
    /** 无备注 */
    private Float fAlterBaseNum;
    /** 无备注 */
    private String cPlanMethod;
    /** 无备注 */
    private String bMPS;
    /** 无备注 */
    private String bROP;
    /** 无备注 */
    private String bRePlan;
    /** 无备注 */
    private String cSRPolicy;
    /** 无备注 */
    private String bBillUnite;
    /**  无备注  */
    private Integer iSupplyDay;
    /** 无备注 */
    private Float fSupplyMulti;
    /** 无备注 */
    private Float fMinSupply;
    /** 无备注 */
    private String bCutMantissa;
    /** 无备注 */
    private String cInvPersonCode;
    /**  无备注  */
    private Integer iInvTfId;
    /** 无备注 */
    private String cEngineerFigNo;
    /** 无备注 */
    private String bInTotalCost;
    /**  无备注  */
    private Integer iSupplyType;
    /** 无备注 */
    private String bConfigFree1;
    /** 无备注 */
    private String bConfigFree2;
    /** 无备注 */
    private String bConfigFree3;
    /** 无备注 */
    private String bConfigFree4;
    /** 无备注 */
    private String bConfigFree5;
    /** 无备注 */
    private String bConfigFree6;
    /** 无备注 */
    private String bConfigFree7;
    /** 无备注 */
    private String bConfigFree8;
    /** 无备注 */
    private String bConfigFree9;
    /** 无备注 */
    private String bConfigFree10;
    /**  无备注  */
    private Integer iDTLevel;
    /** 无备注 */
    private String cDTAQL;
    /** 无备注 */
    private String bPeriodDT;
    /** 无备注 */
    private String cDTPeriod;
    /**  无备注  */
    private Integer iBigMonth;
    /**  无备注  */
    private Integer iBigDay;
    /**  无备注  */
    private Integer iSmallMonth;
    /**  无备注  */
    private Integer iSmallDay;
    /** 无备注 */
    private String bOutInvDT;
    /** 无备注 */
    private String bBackInvDT;
    /**  无备注  */
    private Integer iEndDTStyle;
    /** 无备注 */
    private String bDTWarnInv;
    /** 无备注 */
    private Float fBackTaxRate;
    /** 无备注 */
    private String cCIQCode;
    /** 无备注 */
    private String cWGroupCode;
    /** 无备注 */
    private String cWUnit;
    /** 无备注 */
    private Float fGrossW;
    /** 无备注 */
    private String cVGroupCode;
    /** 无备注 */
    private String cVUnit;
    /** 无备注 */
    private Float fLength;
    /** 无备注 */
    private Float fWidth;
    /** 无备注 */
    private Float fHeight;
    /**  无备注  */
    private Integer iDTUCounter;
    /**  无备注  */
    private Integer iDTDCounter;
    /**  无备注  */
    private Integer iBatchCounter;
    /** 无备注 */
    private String cShopUnit;
    /** 无备注 */
    private String cPurPersonCode;
    /** 无备注 */
    private String bImportMedicine;
    /** 无备注 */
    private String bFirstBusiMedicine;
    /** 无备注 */
    private String bForeExpland;
    /** 无备注 */
    private String cInvPlanCode;
    /** 无备注 */
    private Float fConvertRate;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dReplaceDate;
    /** 无备注 */
    private String bInvModel;
    /** 无备注 */
    private String bKCCutMantissa;
    /** 无备注 */
    private String bReceiptByDT;
    /** 无备注 */
    private Float iImpTaxRate;
    /** 无备注 */
    private Float iExpTaxRate;
    /** 无备注 */
    private String bExpSale;
    /** 无备注 */
    private Float iDrawBatch;
    /** 无备注 */
    private String bCheckBSATP;
    /** 无备注 */
    private String cInvProjectCode;
    /**  无备注  */
    private Integer iTestRule;
    /** 无备注 */
    private String cRuleCode;
    /** 无备注 */
    private String bCheckFree1;
    /** 无备注 */
    private String bCheckFree2;
    /** 无备注 */
    private String bCheckFree3;
    /** 无备注 */
    private String bCheckFree4;
    /** 无备注 */
    private String bCheckFree5;
    /** 无备注 */
    private String bCheckFree6;
    /** 无备注 */
    private String bCheckFree7;
    /** 无备注 */
    private String bCheckFree8;
    /** 无备注 */
    private String bCheckFree9;
    /** 无备注 */
    private String bCheckFree10;
    /** 无备注 */
    private String bBomMain;
    /** 无备注 */
    private String bBomSub;
    /** 无备注 */
    private String bProductBill;
    /**  无备注  */
    private Integer iCheckATP;
    /**  无备注  */
    private Integer iInvATPId;
    /**  无备注  */
    private Integer iPlanTfDay;
    /**  无备注  */
    private Integer iOverlapDay;
    /** 无备注 */
    private String bPiece;
    /** 无备注 */
    private String bSrvItem;
    /** 无备注 */
    private String bSrvFittings;
    /** 无备注 */
    private Float fMaxSupply;
    /** 无备注 */
    private Float fMinSplit;
    /** 无备注 */
    private String bSpecialOrder;
    /** 无备注 */
    private String bTrackSaleBill;
    /** 无备注 */
    private String cInvMnemCode;
    /**  无备注  */
    private Integer iPlanDefault;
    /** 无备注 */
    private Float iPFBatchQty;
    /**  无备注  */
    private Integer iAllocatePrintDgt;
    /** 无备注 */
    private String bCheckBatch;
    /** 无备注 */
    private String bMngOldpart;
    /**  无备注  */
    private Integer iOldpartMngRule;

    public InventoryExtEntity getInvExtEntity() {
        return invExtEntity;
    }

    public void setInvExtEntity(InventoryExtEntity invExtEntity) {
        this.invExtEntity = invExtEntity;
    }

    public String getcInvCode() {
        return cInvCode;
    }

    public void setcInvCode(String cInvCode) {
        this.cInvCode = cInvCode;
    }

    public String getcInvAddCode() {
        return cInvAddCode;
    }

    public void setcInvAddCode(String cInvAddCode) {
        this.cInvAddCode = cInvAddCode;
    }

    public String getcInvName() {
        return cInvName;
    }

    public void setcInvName(String cInvName) {
        this.cInvName = cInvName;
    }

    public String getcInvStd() {
        return cInvStd;
    }

    public void setcInvStd(String cInvStd) {
        this.cInvStd = cInvStd;
    }

    public String getcInvCCode() {
        return cInvCCode;
    }

    public void setcInvCCode(String cInvCCode) {
        this.cInvCCode = cInvCCode;
    }

    public String getcVenCode() {
        return cVenCode;
    }

    public void setcVenCode(String cVenCode) {
        this.cVenCode = cVenCode;
    }

    public String getcReplaceItem() {
        return cReplaceItem;
    }

    public void setcReplaceItem(String cReplaceItem) {
        this.cReplaceItem = cReplaceItem;
    }

    public String getcPosition() {
        return cPosition;
    }

    public void setcPosition(String cPosition) {
        this.cPosition = cPosition;
    }

    public String getbSale() {
        return bSale;
    }

    public void setbSale(String bSale) {
        this.bSale = bSale;
    }

    public String getbPurchase() {
        return bPurchase;
    }

    public void setbPurchase(String bPurchase) {
        this.bPurchase = bPurchase;
    }

    public String getbSelf() {
        return bSelf;
    }

    public void setbSelf(String bSelf) {
        this.bSelf = bSelf;
    }

    public String getbComsume() {
        return bComsume;
    }

    public void setbComsume(String bComsume) {
        this.bComsume = bComsume;
    }

    public String getbProducing() {
        return bProducing;
    }

    public void setbProducing(String bProducing) {
        this.bProducing = bProducing;
    }

    public String getbService() {
        return bService;
    }

    public void setbService(String bService) {
        this.bService = bService;
    }

    public String getbAccessary() {
        return bAccessary;
    }

    public void setbAccessary(String bAccessary) {
        this.bAccessary = bAccessary;
    }

    public Float getiTaxRate() {
        return iTaxRate;
    }

    public void setiTaxRate(Float iTaxRate) {
        this.iTaxRate = iTaxRate;
    }

    public Float getiInvWeight() {
        return iInvWeight;
    }

    public void setiInvWeight(Float iInvWeight) {
        this.iInvWeight = iInvWeight;
    }

    public Float getiVolume() {
        return iVolume;
    }

    public void setiVolume(Float iVolume) {
        this.iVolume = iVolume;
    }

    public Float getiInvRCost() {
        return iInvRCost;
    }

    public void setiInvRCost(Float iInvRCost) {
        this.iInvRCost = iInvRCost;
    }

    public Float getiInvSPrice() {
        return iInvSPrice;
    }

    public void setiInvSPrice(Float iInvSPrice) {
        this.iInvSPrice = iInvSPrice;
    }

    public Float getiInvSCost() {
        return iInvSCost;
    }

    public void setiInvSCost(Float iInvSCost) {
        this.iInvSCost = iInvSCost;
    }

    public Float getiInvLSCost() {
        return iInvLSCost;
    }

    public void setiInvLSCost(Float iInvLSCost) {
        this.iInvLSCost = iInvLSCost;
    }

    public Float getiInvNCost() {
        return iInvNCost;
    }

    public void setiInvNCost(Float iInvNCost) {
        this.iInvNCost = iInvNCost;
    }

    public Float getiInvAdvance() {
        return iInvAdvance;
    }

    public void setiInvAdvance(Float iInvAdvance) {
        this.iInvAdvance = iInvAdvance;
    }

    public Float getiInvBatch() {
        return iInvBatch;
    }

    public void setiInvBatch(Float iInvBatch) {
        this.iInvBatch = iInvBatch;
    }

    public Float getiSafeNum() {
        return iSafeNum;
    }

    public void setiSafeNum(Float iSafeNum) {
        this.iSafeNum = iSafeNum;
    }

    public Float getiTopSum() {
        return iTopSum;
    }

    public void setiTopSum(Float iTopSum) {
        this.iTopSum = iTopSum;
    }

    public Float getiLowSum() {
        return iLowSum;
    }

    public void setiLowSum(Float iLowSum) {
        this.iLowSum = iLowSum;
    }

    public Float getiOverStock() {
        return iOverStock;
    }

    public void setiOverStock(Float iOverStock) {
        this.iOverStock = iOverStock;
    }

    public String getcInvABC() {
        return cInvABC;
    }

    public void setcInvABC(String cInvABC) {
        this.cInvABC = cInvABC;
    }

    public String getbInvQuality() {
        return bInvQuality;
    }

    public void setbInvQuality(String bInvQuality) {
        this.bInvQuality = bInvQuality;
    }

    public String getbInvBatch() {
        return bInvBatch;
    }

    public void setbInvBatch(String bInvBatch) {
        this.bInvBatch = bInvBatch;
    }

    public String getbInvEntrust() {
        return bInvEntrust;
    }

    public void setbInvEntrust(String bInvEntrust) {
        this.bInvEntrust = bInvEntrust;
    }

    public String getbInvOverStock() {
        return bInvOverStock;
    }

    public void setbInvOverStock(String bInvOverStock) {
        this.bInvOverStock = bInvOverStock;
    }

    public Date getdSDate() {
        return dSDate;
    }

    public void setdSDate(Date dSDate) {
        this.dSDate = dSDate;
    }

    public Date getdEDate() {
        return dEDate;
    }

    public void setdEDate(Date dEDate) {
        this.dEDate = dEDate;
    }

    public String getbFree1() {
        return bFree1;
    }

    public void setbFree1(String bFree1) {
        this.bFree1 = bFree1;
    }

    public String getbFree2() {
        return bFree2;
    }

    public void setbFree2(String bFree2) {
        this.bFree2 = bFree2;
    }

    public String getcInvDefine1() {
        return cInvDefine1;
    }

    public void setcInvDefine1(String cInvDefine1) {
        this.cInvDefine1 = cInvDefine1;
    }

    public String getcInvDefine2() {
        return cInvDefine2;
    }

    public void setcInvDefine2(String cInvDefine2) {
        this.cInvDefine2 = cInvDefine2;
    }

    public String getcInvDefine3() {
        return cInvDefine3;
    }

    public void setcInvDefine3(String cInvDefine3) {
        this.cInvDefine3 = cInvDefine3;
    }

    public Integer getI_id() {
        return I_id;
    }

    public void setI_id(Integer i_id) {
        I_id = i_id;
    }

    public String getbInvType() {
        return bInvType;
    }

    public void setbInvType(String bInvType) {
        this.bInvType = bInvType;
    }

    public Float getiInvMPCost() {
        return iInvMPCost;
    }

    public void setiInvMPCost(Float iInvMPCost) {
        this.iInvMPCost = iInvMPCost;
    }

    public String getcQuality() {
        return cQuality;
    }

    public void setcQuality(String cQuality) {
        this.cQuality = cQuality;
    }

    public Float getiInvSaleCost() {
        return iInvSaleCost;
    }

    public void setiInvSaleCost(Float iInvSaleCost) {
        this.iInvSaleCost = iInvSaleCost;
    }

    public Float getiInvSCost1() {
        return iInvSCost1;
    }

    public void setiInvSCost1(Float iInvSCost1) {
        this.iInvSCost1 = iInvSCost1;
    }

    public Float getiInvSCost2() {
        return iInvSCost2;
    }

    public void setiInvSCost2(Float iInvSCost2) {
        this.iInvSCost2 = iInvSCost2;
    }

    public Float getiInvSCost3() {
        return iInvSCost3;
    }

    public void setiInvSCost3(Float iInvSCost3) {
        this.iInvSCost3 = iInvSCost3;
    }

    public String getbFree3() {
        return bFree3;
    }

    public void setbFree3(String bFree3) {
        this.bFree3 = bFree3;
    }

    public String getbFree4() {
        return bFree4;
    }

    public void setbFree4(String bFree4) {
        this.bFree4 = bFree4;
    }

    public String getbFree5() {
        return bFree5;
    }

    public void setbFree5(String bFree5) {
        this.bFree5 = bFree5;
    }

    public String getbFree6() {
        return bFree6;
    }

    public void setbFree6(String bFree6) {
        this.bFree6 = bFree6;
    }

    public String getbFree7() {
        return bFree7;
    }

    public void setbFree7(String bFree7) {
        this.bFree7 = bFree7;
    }

    public String getbFree8() {
        return bFree8;
    }

    public void setbFree8(String bFree8) {
        this.bFree8 = bFree8;
    }

    public String getbFree9() {
        return bFree9;
    }

    public void setbFree9(String bFree9) {
        this.bFree9 = bFree9;
    }

    public String getbFree10() {
        return bFree10;
    }

    public void setbFree10(String bFree10) {
        this.bFree10 = bFree10;
    }

    public String getcCreatePerson() {
        return cCreatePerson;
    }

    public void setcCreatePerson(String cCreatePerson) {
        this.cCreatePerson = cCreatePerson;
    }

    public String getcModifyPerson() {
        return cModifyPerson;
    }

    public void setcModifyPerson(String cModifyPerson) {
        this.cModifyPerson = cModifyPerson;
    }

    public Date getdModifyDate() {
        return dModifyDate;
    }

    public void setdModifyDate(Date dModifyDate) {
        this.dModifyDate = dModifyDate;
    }

    public Float getfSubscribePoint() {
        return fSubscribePoint;
    }

    public void setfSubscribePoint(Float fSubscribePoint) {
        this.fSubscribePoint = fSubscribePoint;
    }

    public Float getfVagQuantity() {
        return fVagQuantity;
    }

    public void setfVagQuantity(Float fVagQuantity) {
        this.fVagQuantity = fVagQuantity;
    }

    public String getcValueType() {
        return cValueType;
    }

    public void setcValueType(String cValueType) {
        this.cValueType = cValueType;
    }

    public String getbFixExch() {
        return bFixExch;
    }

    public void setbFixExch(String bFixExch) {
        this.bFixExch = bFixExch;
    }

    public Float getfOutExcess() {
        return fOutExcess;
    }

    public void setfOutExcess(Float fOutExcess) {
        this.fOutExcess = fOutExcess;
    }

    public Float getfInExcess() {
        return fInExcess;
    }

    public void setfInExcess(Float fInExcess) {
        this.fInExcess = fInExcess;
    }

    public Integer getiMassDate() {
        return iMassDate;
    }

    public void setiMassDate(Integer iMassDate) {
        this.iMassDate = iMassDate;
    }

    public Integer getiWarnDays() {
        return iWarnDays;
    }

    public void setiWarnDays(Integer iWarnDays) {
        this.iWarnDays = iWarnDays;
    }

    public Float getfExpensesExch() {
        return fExpensesExch;
    }

    public void setfExpensesExch(Float fExpensesExch) {
        this.fExpensesExch = fExpensesExch;
    }

    public String getbTrack() {
        return bTrack;
    }

    public void setbTrack(String bTrack) {
        this.bTrack = bTrack;
    }

    public String getbSerial() {
        return bSerial;
    }

    public void setbSerial(String bSerial) {
        this.bSerial = bSerial;
    }

    public String getbBarCode() {
        return bBarCode;
    }

    public void setbBarCode(String bBarCode) {
        this.bBarCode = bBarCode;
    }

    public Integer getiId() {
        return iId;
    }

    public void setiId(Integer iId) {
        this.iId = iId;
    }

    public String getcBarCode() {
        return cBarCode;
    }

    public void setcBarCode(String cBarCode) {
        this.cBarCode = cBarCode;
    }

    public String getcInvDefine4() {
        return cInvDefine4;
    }

    public void setcInvDefine4(String cInvDefine4) {
        this.cInvDefine4 = cInvDefine4;
    }

    public String getcInvDefine5() {
        return cInvDefine5;
    }

    public void setcInvDefine5(String cInvDefine5) {
        this.cInvDefine5 = cInvDefine5;
    }

    public String getcInvDefine6() {
        return cInvDefine6;
    }

    public void setcInvDefine6(String cInvDefine6) {
        this.cInvDefine6 = cInvDefine6;
    }

    public String getcInvDefine7() {
        return cInvDefine7;
    }

    public void setcInvDefine7(String cInvDefine7) {
        this.cInvDefine7 = cInvDefine7;
    }

    public String getcInvDefine8() {
        return cInvDefine8;
    }

    public void setcInvDefine8(String cInvDefine8) {
        this.cInvDefine8 = cInvDefine8;
    }

    public String getcInvDefine9() {
        return cInvDefine9;
    }

    public void setcInvDefine9(String cInvDefine9) {
        this.cInvDefine9 = cInvDefine9;
    }

    public String getcInvDefine10() {
        return cInvDefine10;
    }

    public void setcInvDefine10(String cInvDefine10) {
        this.cInvDefine10 = cInvDefine10;
    }

    public Integer getcInvDefine11() {
        return cInvDefine11;
    }

    public void setcInvDefine11(Integer cInvDefine11) {
        this.cInvDefine11 = cInvDefine11;
    }

    public Integer getcInvDefine12() {
        return cInvDefine12;
    }

    public void setcInvDefine12(Integer cInvDefine12) {
        this.cInvDefine12 = cInvDefine12;
    }

    public Float getcInvDefine13() {
        return cInvDefine13;
    }

    public void setcInvDefine13(Float cInvDefine13) {
        this.cInvDefine13 = cInvDefine13;
    }

    public Float getcInvDefine14() {
        return cInvDefine14;
    }

    public void setcInvDefine14(Float cInvDefine14) {
        this.cInvDefine14 = cInvDefine14;
    }

    public Date getcInvDefine15() {
        return cInvDefine15;
    }

    public void setcInvDefine15(Date cInvDefine15) {
        this.cInvDefine15 = cInvDefine15;
    }

    public Date getcInvDefine16() {
        return cInvDefine16;
    }

    public void setcInvDefine16(Date cInvDefine16) {
        this.cInvDefine16 = cInvDefine16;
    }

    public Integer getiGroupType() {
        return iGroupType;
    }

    public void setiGroupType(Integer iGroupType) {
        this.iGroupType = iGroupType;
    }

    public String getcGroupCode() {
        return cGroupCode;
    }

    public void setcGroupCode(String cGroupCode) {
        this.cGroupCode = cGroupCode;
    }

    public String getcComUnitCode() {
        return cComUnitCode;
    }

    public void setcComUnitCode(String cComUnitCode) {
        this.cComUnitCode = cComUnitCode;
    }

    public String getcAssComUnitCode() {
        return cAssComUnitCode;
    }

    public void setcAssComUnitCode(String cAssComUnitCode) {
        this.cAssComUnitCode = cAssComUnitCode;
    }

    public String getcSAComUnitCode() {
        return cSAComUnitCode;
    }

    public void setcSAComUnitCode(String cSAComUnitCode) {
        this.cSAComUnitCode = cSAComUnitCode;
    }

    public String getcPUComUnitCode() {
        return cPUComUnitCode;
    }

    public void setcPUComUnitCode(String cPUComUnitCode) {
        this.cPUComUnitCode = cPUComUnitCode;
    }

    public String getcSTComUnitCode() {
        return cSTComUnitCode;
    }

    public void setcSTComUnitCode(String cSTComUnitCode) {
        this.cSTComUnitCode = cSTComUnitCode;
    }

    public String getcCAComUnitCode() {
        return cCAComUnitCode;
    }

    public void setcCAComUnitCode(String cCAComUnitCode) {
        this.cCAComUnitCode = cCAComUnitCode;
    }

    public String getcFrequency() {
        return cFrequency;
    }

    public void setcFrequency(String cFrequency) {
        this.cFrequency = cFrequency;
    }

    public Integer getiFrequency() {
        return iFrequency;
    }

    public void setiFrequency(Integer iFrequency) {
        this.iFrequency = iFrequency;
    }

    public Integer getiDays() {
        return iDays;
    }

    public void setiDays(Integer iDays) {
        this.iDays = iDays;
    }

    public Date getdLastDate() {
        return dLastDate;
    }

    public void setdLastDate(Date dLastDate) {
        this.dLastDate = dLastDate;
    }

    public Float getiWastage() {
        return iWastage;
    }

    public void setiWastage(Float iWastage) {
        this.iWastage = iWastage;
    }

    public String getbSolitude() {
        return bSolitude;
    }

    public void setbSolitude(String bSolitude) {
        this.bSolitude = bSolitude;
    }

    public String getcEnterprise() {
        return cEnterprise;
    }

    public void setcEnterprise(String cEnterprise) {
        this.cEnterprise = cEnterprise;
    }

    public String getcAddress() {
        return cAddress;
    }

    public void setcAddress(String cAddress) {
        this.cAddress = cAddress;
    }

    public String getcFile() {
        return cFile;
    }

    public void setcFile(String cFile) {
        this.cFile = cFile;
    }

    public String getcLabel() {
        return cLabel;
    }

    public void setcLabel(String cLabel) {
        this.cLabel = cLabel;
    }

    public String getcCheckOut() {
        return cCheckOut;
    }

    public void setcCheckOut(String cCheckOut) {
        this.cCheckOut = cCheckOut;
    }

    public String getcLicence() {
        return cLicence;
    }

    public void setcLicence(String cLicence) {
        this.cLicence = cLicence;
    }

    public String getbSpecialties() {
        return bSpecialties;
    }

    public void setbSpecialties(String bSpecialties) {
        this.bSpecialties = bSpecialties;
    }

    public String getcDefWareHouse() {
        return cDefWareHouse;
    }

    public void setcDefWareHouse(String cDefWareHouse) {
        this.cDefWareHouse = cDefWareHouse;
    }

    public Float getiHighPrice() {
        return iHighPrice;
    }

    public void setiHighPrice(Float iHighPrice) {
        this.iHighPrice = iHighPrice;
    }

    public Float getiExpSaleRate() {
        return iExpSaleRate;
    }

    public void setiExpSaleRate(Float iExpSaleRate) {
        this.iExpSaleRate = iExpSaleRate;
    }

    public String getcPriceGroup() {
        return cPriceGroup;
    }

    public void setcPriceGroup(String cPriceGroup) {
        this.cPriceGroup = cPriceGroup;
    }

    public String getcOfferGrade() {
        return cOfferGrade;
    }

    public void setcOfferGrade(String cOfferGrade) {
        this.cOfferGrade = cOfferGrade;
    }

    public Float getiOfferRate() {
        return iOfferRate;
    }

    public void setiOfferRate(Float iOfferRate) {
        this.iOfferRate = iOfferRate;
    }

    public String getcMonth() {
        return cMonth;
    }

    public void setcMonth(String cMonth) {
        this.cMonth = cMonth;
    }

    public Integer getiAdvanceDate() {
        return iAdvanceDate;
    }

    public void setiAdvanceDate(Integer iAdvanceDate) {
        this.iAdvanceDate = iAdvanceDate;
    }

    public String getcCurrencyName() {
        return cCurrencyName;
    }

    public void setcCurrencyName(String cCurrencyName) {
        this.cCurrencyName = cCurrencyName;
    }

    public String getcProduceAddress() {
        return cProduceAddress;
    }

    public void setcProduceAddress(String cProduceAddress) {
        this.cProduceAddress = cProduceAddress;
    }

    public String getcProduceNation() {
        return cProduceNation;
    }

    public void setcProduceNation(String cProduceNation) {
        this.cProduceNation = cProduceNation;
    }

    public String getcRegisterNo() {
        return cRegisterNo;
    }

    public void setcRegisterNo(String cRegisterNo) {
        this.cRegisterNo = cRegisterNo;
    }

    public String getcEnterNo() {
        return cEnterNo;
    }

    public void setcEnterNo(String cEnterNo) {
        this.cEnterNo = cEnterNo;
    }

    public String getcPackingType() {
        return cPackingType;
    }

    public void setcPackingType(String cPackingType) {
        this.cPackingType = cPackingType;
    }

    public String getcEnglishName() {
        return cEnglishName;
    }

    public void setcEnglishName(String cEnglishName) {
        this.cEnglishName = cEnglishName;
    }

    public String getbPropertyCheck() {
        return bPropertyCheck;
    }

    public void setbPropertyCheck(String bPropertyCheck) {
        this.bPropertyCheck = bPropertyCheck;
    }

    public String getcPreparationType() {
        return cPreparationType;
    }

    public void setcPreparationType(String cPreparationType) {
        this.cPreparationType = cPreparationType;
    }

    public String getcCommodity() {
        return cCommodity;
    }

    public void setcCommodity(String cCommodity) {
        this.cCommodity = cCommodity;
    }

    public Integer getiRecipeBatch() {
        return iRecipeBatch;
    }

    public void setiRecipeBatch(Integer iRecipeBatch) {
        this.iRecipeBatch = iRecipeBatch;
    }

    public String getcNotPatentName() {
        return cNotPatentName;
    }

    public void setcNotPatentName(String cNotPatentName) {
        this.cNotPatentName = cNotPatentName;
    }

    public String getPubufts() {
        return pubufts;
    }

    public void setPubufts(String pubufts) {
        this.pubufts = pubufts;
    }

    public String getbPromotSales() {
        return bPromotSales;
    }

    public void setbPromotSales(String bPromotSales) {
        this.bPromotSales = bPromotSales;
    }

    public Integer getiPlanPolicy() {
        return iPlanPolicy;
    }

    public void setiPlanPolicy(Integer iPlanPolicy) {
        this.iPlanPolicy = iPlanPolicy;
    }

    public Integer getiROPMethod() {
        return iROPMethod;
    }

    public void setiROPMethod(Integer iROPMethod) {
        this.iROPMethod = iROPMethod;
    }

    public Integer getiBatchRule() {
        return iBatchRule;
    }

    public void setiBatchRule(Integer iBatchRule) {
        this.iBatchRule = iBatchRule;
    }

    public Float getfBatchIncrement() {
        return fBatchIncrement;
    }

    public void setfBatchIncrement(Float fBatchIncrement) {
        this.fBatchIncrement = fBatchIncrement;
    }

    public Integer getiAssureProvideDays() {
        return iAssureProvideDays;
    }

    public void setiAssureProvideDays(Integer iAssureProvideDays) {
        this.iAssureProvideDays = iAssureProvideDays;
    }

    public Integer getiTestStyle() {
        return iTestStyle;
    }

    public void setiTestStyle(Integer iTestStyle) {
        this.iTestStyle = iTestStyle;
    }

    public Integer getiDTMethod() {
        return iDTMethod;
    }

    public void setiDTMethod(Integer iDTMethod) {
        this.iDTMethod = iDTMethod;
    }

    public Float getfDTRate() {
        return fDTRate;
    }

    public void setfDTRate(Float fDTRate) {
        this.fDTRate = fDTRate;
    }

    public Float getfDTNum() {
        return fDTNum;
    }

    public void setfDTNum(Float fDTNum) {
        this.fDTNum = fDTNum;
    }

    public String getcDTUnit() {
        return cDTUnit;
    }

    public void setcDTUnit(String cDTUnit) {
        this.cDTUnit = cDTUnit;
    }

    public Integer getiDTStyle() {
        return iDTStyle;
    }

    public void setiDTStyle(Integer iDTStyle) {
        this.iDTStyle = iDTStyle;
    }

    public Integer getiQTMethod() {
        return iQTMethod;
    }

    public void setiQTMethod(Integer iQTMethod) {
        this.iQTMethod = iQTMethod;
    }

    public String getPictureGUID() {
        return PictureGUID;
    }

    public void setPictureGUID(String pictureGUID) {
        PictureGUID = pictureGUID;
    }

    public String getbPlanInv() {
        return bPlanInv;
    }

    public void setbPlanInv(String bPlanInv) {
        this.bPlanInv = bPlanInv;
    }

    public String getbProxyForeign() {
        return bProxyForeign;
    }

    public void setbProxyForeign(String bProxyForeign) {
        this.bProxyForeign = bProxyForeign;
    }

    public String getbATOModel() {
        return bATOModel;
    }

    public void setbATOModel(String bATOModel) {
        this.bATOModel = bATOModel;
    }

    public String getbCheckItem() {
        return bCheckItem;
    }

    public void setbCheckItem(String bCheckItem) {
        this.bCheckItem = bCheckItem;
    }

    public String getbPTOModel() {
        return bPTOModel;
    }

    public void setbPTOModel(String bPTOModel) {
        this.bPTOModel = bPTOModel;
    }

    public String getbEquipment() {
        return bEquipment;
    }

    public void setbEquipment(String bEquipment) {
        this.bEquipment = bEquipment;
    }

    public String getcProductUnit() {
        return cProductUnit;
    }

    public void setcProductUnit(String cProductUnit) {
        this.cProductUnit = cProductUnit;
    }

    public Float getfOrderUpLimit() {
        return fOrderUpLimit;
    }

    public void setfOrderUpLimit(Float fOrderUpLimit) {
        this.fOrderUpLimit = fOrderUpLimit;
    }

    public Integer getcMassUnit() {
        return cMassUnit;
    }

    public void setcMassUnit(Integer cMassUnit) {
        this.cMassUnit = cMassUnit;
    }

    public Float getfRetailPrice() {
        return fRetailPrice;
    }

    public void setfRetailPrice(Float fRetailPrice) {
        this.fRetailPrice = fRetailPrice;
    }

    public String getcInvDepCode() {
        return cInvDepCode;
    }

    public void setcInvDepCode(String cInvDepCode) {
        this.cInvDepCode = cInvDepCode;
    }

    public Integer getiAlterAdvance() {
        return iAlterAdvance;
    }

    public void setiAlterAdvance(Integer iAlterAdvance) {
        this.iAlterAdvance = iAlterAdvance;
    }

    public Float getfAlterBaseNum() {
        return fAlterBaseNum;
    }

    public void setfAlterBaseNum(Float fAlterBaseNum) {
        this.fAlterBaseNum = fAlterBaseNum;
    }

    public String getcPlanMethod() {
        return cPlanMethod;
    }

    public void setcPlanMethod(String cPlanMethod) {
        this.cPlanMethod = cPlanMethod;
    }

    public String getbMPS() {
        return bMPS;
    }

    public void setbMPS(String bMPS) {
        this.bMPS = bMPS;
    }

    public String getbROP() {
        return bROP;
    }

    public void setbROP(String bROP) {
        this.bROP = bROP;
    }

    public String getbRePlan() {
        return bRePlan;
    }

    public void setbRePlan(String bRePlan) {
        this.bRePlan = bRePlan;
    }

    public String getcSRPolicy() {
        return cSRPolicy;
    }

    public void setcSRPolicy(String cSRPolicy) {
        this.cSRPolicy = cSRPolicy;
    }

    public String getbBillUnite() {
        return bBillUnite;
    }

    public void setbBillUnite(String bBillUnite) {
        this.bBillUnite = bBillUnite;
    }

    public Integer getiSupplyDay() {
        return iSupplyDay;
    }

    public void setiSupplyDay(Integer iSupplyDay) {
        this.iSupplyDay = iSupplyDay;
    }

    public Float getfSupplyMulti() {
        return fSupplyMulti;
    }

    public void setfSupplyMulti(Float fSupplyMulti) {
        this.fSupplyMulti = fSupplyMulti;
    }

    public Float getfMinSupply() {
        return fMinSupply;
    }

    public void setfMinSupply(Float fMinSupply) {
        this.fMinSupply = fMinSupply;
    }

    public String getbCutMantissa() {
        return bCutMantissa;
    }

    public void setbCutMantissa(String bCutMantissa) {
        this.bCutMantissa = bCutMantissa;
    }

    public String getcInvPersonCode() {
        return cInvPersonCode;
    }

    public void setcInvPersonCode(String cInvPersonCode) {
        this.cInvPersonCode = cInvPersonCode;
    }

    public Integer getiInvTfId() {
        return iInvTfId;
    }

    public void setiInvTfId(Integer iInvTfId) {
        this.iInvTfId = iInvTfId;
    }

    public String getcEngineerFigNo() {
        return cEngineerFigNo;
    }

    public void setcEngineerFigNo(String cEngineerFigNo) {
        this.cEngineerFigNo = cEngineerFigNo;
    }

    public String getbInTotalCost() {
        return bInTotalCost;
    }

    public void setbInTotalCost(String bInTotalCost) {
        this.bInTotalCost = bInTotalCost;
    }

    public Integer getiSupplyType() {
        return iSupplyType;
    }

    public void setiSupplyType(Integer iSupplyType) {
        this.iSupplyType = iSupplyType;
    }

    public String getbConfigFree1() {
        return bConfigFree1;
    }

    public void setbConfigFree1(String bConfigFree1) {
        this.bConfigFree1 = bConfigFree1;
    }

    public String getbConfigFree2() {
        return bConfigFree2;
    }

    public void setbConfigFree2(String bConfigFree2) {
        this.bConfigFree2 = bConfigFree2;
    }

    public String getbConfigFree3() {
        return bConfigFree3;
    }

    public void setbConfigFree3(String bConfigFree3) {
        this.bConfigFree3 = bConfigFree3;
    }

    public String getbConfigFree4() {
        return bConfigFree4;
    }

    public void setbConfigFree4(String bConfigFree4) {
        this.bConfigFree4 = bConfigFree4;
    }

    public String getbConfigFree5() {
        return bConfigFree5;
    }

    public void setbConfigFree5(String bConfigFree5) {
        this.bConfigFree5 = bConfigFree5;
    }

    public String getbConfigFree6() {
        return bConfigFree6;
    }

    public void setbConfigFree6(String bConfigFree6) {
        this.bConfigFree6 = bConfigFree6;
    }

    public String getbConfigFree7() {
        return bConfigFree7;
    }

    public void setbConfigFree7(String bConfigFree7) {
        this.bConfigFree7 = bConfigFree7;
    }

    public String getbConfigFree8() {
        return bConfigFree8;
    }

    public void setbConfigFree8(String bConfigFree8) {
        this.bConfigFree8 = bConfigFree8;
    }

    public String getbConfigFree9() {
        return bConfigFree9;
    }

    public void setbConfigFree9(String bConfigFree9) {
        this.bConfigFree9 = bConfigFree9;
    }

    public String getbConfigFree10() {
        return bConfigFree10;
    }

    public void setbConfigFree10(String bConfigFree10) {
        this.bConfigFree10 = bConfigFree10;
    }

    public Integer getiDTLevel() {
        return iDTLevel;
    }

    public void setiDTLevel(Integer iDTLevel) {
        this.iDTLevel = iDTLevel;
    }

    public String getcDTAQL() {
        return cDTAQL;
    }

    public void setcDTAQL(String cDTAQL) {
        this.cDTAQL = cDTAQL;
    }

    public String getbPeriodDT() {
        return bPeriodDT;
    }

    public void setbPeriodDT(String bPeriodDT) {
        this.bPeriodDT = bPeriodDT;
    }

    public String getcDTPeriod() {
        return cDTPeriod;
    }

    public void setcDTPeriod(String cDTPeriod) {
        this.cDTPeriod = cDTPeriod;
    }

    public Integer getiBigMonth() {
        return iBigMonth;
    }

    public void setiBigMonth(Integer iBigMonth) {
        this.iBigMonth = iBigMonth;
    }

    public Integer getiBigDay() {
        return iBigDay;
    }

    public void setiBigDay(Integer iBigDay) {
        this.iBigDay = iBigDay;
    }

    public Integer getiSmallMonth() {
        return iSmallMonth;
    }

    public void setiSmallMonth(Integer iSmallMonth) {
        this.iSmallMonth = iSmallMonth;
    }

    public Integer getiSmallDay() {
        return iSmallDay;
    }

    public void setiSmallDay(Integer iSmallDay) {
        this.iSmallDay = iSmallDay;
    }

    public String getbOutInvDT() {
        return bOutInvDT;
    }

    public void setbOutInvDT(String bOutInvDT) {
        this.bOutInvDT = bOutInvDT;
    }

    public String getbBackInvDT() {
        return bBackInvDT;
    }

    public void setbBackInvDT(String bBackInvDT) {
        this.bBackInvDT = bBackInvDT;
    }

    public Integer getiEndDTStyle() {
        return iEndDTStyle;
    }

    public void setiEndDTStyle(Integer iEndDTStyle) {
        this.iEndDTStyle = iEndDTStyle;
    }

    public String getbDTWarnInv() {
        return bDTWarnInv;
    }

    public void setbDTWarnInv(String bDTWarnInv) {
        this.bDTWarnInv = bDTWarnInv;
    }

    public Float getfBackTaxRate() {
        return fBackTaxRate;
    }

    public void setfBackTaxRate(Float fBackTaxRate) {
        this.fBackTaxRate = fBackTaxRate;
    }

    public String getcCIQCode() {
        return cCIQCode;
    }

    public void setcCIQCode(String cCIQCode) {
        this.cCIQCode = cCIQCode;
    }

    public String getcWGroupCode() {
        return cWGroupCode;
    }

    public void setcWGroupCode(String cWGroupCode) {
        this.cWGroupCode = cWGroupCode;
    }

    public String getcWUnit() {
        return cWUnit;
    }

    public void setcWUnit(String cWUnit) {
        this.cWUnit = cWUnit;
    }

    public Float getfGrossW() {
        return fGrossW;
    }

    public void setfGrossW(Float fGrossW) {
        this.fGrossW = fGrossW;
    }

    public String getcVGroupCode() {
        return cVGroupCode;
    }

    public void setcVGroupCode(String cVGroupCode) {
        this.cVGroupCode = cVGroupCode;
    }

    public String getcVUnit() {
        return cVUnit;
    }

    public void setcVUnit(String cVUnit) {
        this.cVUnit = cVUnit;
    }

    public Float getfLength() {
        return fLength;
    }

    public void setfLength(Float fLength) {
        this.fLength = fLength;
    }

    public Float getfWidth() {
        return fWidth;
    }

    public void setfWidth(Float fWidth) {
        this.fWidth = fWidth;
    }

    public Float getfHeight() {
        return fHeight;
    }

    public void setfHeight(Float fHeight) {
        this.fHeight = fHeight;
    }

    public Integer getiDTUCounter() {
        return iDTUCounter;
    }

    public void setiDTUCounter(Integer iDTUCounter) {
        this.iDTUCounter = iDTUCounter;
    }

    public Integer getiDTDCounter() {
        return iDTDCounter;
    }

    public void setiDTDCounter(Integer iDTDCounter) {
        this.iDTDCounter = iDTDCounter;
    }

    public Integer getiBatchCounter() {
        return iBatchCounter;
    }

    public void setiBatchCounter(Integer iBatchCounter) {
        this.iBatchCounter = iBatchCounter;
    }

    public String getcShopUnit() {
        return cShopUnit;
    }

    public void setcShopUnit(String cShopUnit) {
        this.cShopUnit = cShopUnit;
    }

    public String getcPurPersonCode() {
        return cPurPersonCode;
    }

    public void setcPurPersonCode(String cPurPersonCode) {
        this.cPurPersonCode = cPurPersonCode;
    }

    public String getbImportMedicine() {
        return bImportMedicine;
    }

    public void setbImportMedicine(String bImportMedicine) {
        this.bImportMedicine = bImportMedicine;
    }

    public String getbFirstBusiMedicine() {
        return bFirstBusiMedicine;
    }

    public void setbFirstBusiMedicine(String bFirstBusiMedicine) {
        this.bFirstBusiMedicine = bFirstBusiMedicine;
    }

    public String getbForeExpland() {
        return bForeExpland;
    }

    public void setbForeExpland(String bForeExpland) {
        this.bForeExpland = bForeExpland;
    }

    public String getcInvPlanCode() {
        return cInvPlanCode;
    }

    public void setcInvPlanCode(String cInvPlanCode) {
        this.cInvPlanCode = cInvPlanCode;
    }

    public Float getfConvertRate() {
        return fConvertRate;
    }

    public void setfConvertRate(Float fConvertRate) {
        this.fConvertRate = fConvertRate;
    }

    public Date getdReplaceDate() {
        return dReplaceDate;
    }

    public void setdReplaceDate(Date dReplaceDate) {
        this.dReplaceDate = dReplaceDate;
    }

    public String getbInvModel() {
        return bInvModel;
    }

    public void setbInvModel(String bInvModel) {
        this.bInvModel = bInvModel;
    }

    public String getbKCCutMantissa() {
        return bKCCutMantissa;
    }

    public void setbKCCutMantissa(String bKCCutMantissa) {
        this.bKCCutMantissa = bKCCutMantissa;
    }

    public String getbReceiptByDT() {
        return bReceiptByDT;
    }

    public void setbReceiptByDT(String bReceiptByDT) {
        this.bReceiptByDT = bReceiptByDT;
    }

    public Float getiImpTaxRate() {
        return iImpTaxRate;
    }

    public void setiImpTaxRate(Float iImpTaxRate) {
        this.iImpTaxRate = iImpTaxRate;
    }

    public Float getiExpTaxRate() {
        return iExpTaxRate;
    }

    public void setiExpTaxRate(Float iExpTaxRate) {
        this.iExpTaxRate = iExpTaxRate;
    }

    public String getbExpSale() {
        return bExpSale;
    }

    public void setbExpSale(String bExpSale) {
        this.bExpSale = bExpSale;
    }

    public Float getiDrawBatch() {
        return iDrawBatch;
    }

    public void setiDrawBatch(Float iDrawBatch) {
        this.iDrawBatch = iDrawBatch;
    }

    public String getbCheckBSATP() {
        return bCheckBSATP;
    }

    public void setbCheckBSATP(String bCheckBSATP) {
        this.bCheckBSATP = bCheckBSATP;
    }

    public String getcInvProjectCode() {
        return cInvProjectCode;
    }

    public void setcInvProjectCode(String cInvProjectCode) {
        this.cInvProjectCode = cInvProjectCode;
    }

    public Integer getiTestRule() {
        return iTestRule;
    }

    public void setiTestRule(Integer iTestRule) {
        this.iTestRule = iTestRule;
    }

    public String getcRuleCode() {
        return cRuleCode;
    }

    public void setcRuleCode(String cRuleCode) {
        this.cRuleCode = cRuleCode;
    }

    public String getbCheckFree1() {
        return bCheckFree1;
    }

    public void setbCheckFree1(String bCheckFree1) {
        this.bCheckFree1 = bCheckFree1;
    }

    public String getbCheckFree2() {
        return bCheckFree2;
    }

    public void setbCheckFree2(String bCheckFree2) {
        this.bCheckFree2 = bCheckFree2;
    }

    public String getbCheckFree3() {
        return bCheckFree3;
    }

    public void setbCheckFree3(String bCheckFree3) {
        this.bCheckFree3 = bCheckFree3;
    }

    public String getbCheckFree4() {
        return bCheckFree4;
    }

    public void setbCheckFree4(String bCheckFree4) {
        this.bCheckFree4 = bCheckFree4;
    }

    public String getbCheckFree5() {
        return bCheckFree5;
    }

    public void setbCheckFree5(String bCheckFree5) {
        this.bCheckFree5 = bCheckFree5;
    }

    public String getbCheckFree6() {
        return bCheckFree6;
    }

    public void setbCheckFree6(String bCheckFree6) {
        this.bCheckFree6 = bCheckFree6;
    }

    public String getbCheckFree7() {
        return bCheckFree7;
    }

    public void setbCheckFree7(String bCheckFree7) {
        this.bCheckFree7 = bCheckFree7;
    }

    public String getbCheckFree8() {
        return bCheckFree8;
    }

    public void setbCheckFree8(String bCheckFree8) {
        this.bCheckFree8 = bCheckFree8;
    }

    public String getbCheckFree9() {
        return bCheckFree9;
    }

    public void setbCheckFree9(String bCheckFree9) {
        this.bCheckFree9 = bCheckFree9;
    }

    public String getbCheckFree10() {
        return bCheckFree10;
    }

    public void setbCheckFree10(String bCheckFree10) {
        this.bCheckFree10 = bCheckFree10;
    }

    public String getbBomMain() {
        return bBomMain;
    }

    public void setbBomMain(String bBomMain) {
        this.bBomMain = bBomMain;
    }

    public String getbBomSub() {
        return bBomSub;
    }

    public void setbBomSub(String bBomSub) {
        this.bBomSub = bBomSub;
    }

    public String getbProductBill() {
        return bProductBill;
    }

    public void setbProductBill(String bProductBill) {
        this.bProductBill = bProductBill;
    }

    public Integer getiCheckATP() {
        return iCheckATP;
    }

    public void setiCheckATP(Integer iCheckATP) {
        this.iCheckATP = iCheckATP;
    }

    public Integer getiInvATPId() {
        return iInvATPId;
    }

    public void setiInvATPId(Integer iInvATPId) {
        this.iInvATPId = iInvATPId;
    }

    public Integer getiPlanTfDay() {
        return iPlanTfDay;
    }

    public void setiPlanTfDay(Integer iPlanTfDay) {
        this.iPlanTfDay = iPlanTfDay;
    }

    public Integer getiOverlapDay() {
        return iOverlapDay;
    }

    public void setiOverlapDay(Integer iOverlapDay) {
        this.iOverlapDay = iOverlapDay;
    }

    public String getbPiece() {
        return bPiece;
    }

    public void setbPiece(String bPiece) {
        this.bPiece = bPiece;
    }

    public String getbSrvItem() {
        return bSrvItem;
    }

    public void setbSrvItem(String bSrvItem) {
        this.bSrvItem = bSrvItem;
    }

    public String getbSrvFittings() {
        return bSrvFittings;
    }

    public void setbSrvFittings(String bSrvFittings) {
        this.bSrvFittings = bSrvFittings;
    }

    public Float getfMaxSupply() {
        return fMaxSupply;
    }

    public void setfMaxSupply(Float fMaxSupply) {
        this.fMaxSupply = fMaxSupply;
    }

    public Float getfMinSplit() {
        return fMinSplit;
    }

    public void setfMinSplit(Float fMinSplit) {
        this.fMinSplit = fMinSplit;
    }

    public String getbSpecialOrder() {
        return bSpecialOrder;
    }

    public void setbSpecialOrder(String bSpecialOrder) {
        this.bSpecialOrder = bSpecialOrder;
    }

    public String getbTrackSaleBill() {
        return bTrackSaleBill;
    }

    public void setbTrackSaleBill(String bTrackSaleBill) {
        this.bTrackSaleBill = bTrackSaleBill;
    }

    public String getcInvMnemCode() {
        return cInvMnemCode;
    }

    public void setcInvMnemCode(String cInvMnemCode) {
        this.cInvMnemCode = cInvMnemCode;
    }

    public Integer getiPlanDefault() {
        return iPlanDefault;
    }

    public void setiPlanDefault(Integer iPlanDefault) {
        this.iPlanDefault = iPlanDefault;
    }

    public Float getiPFBatchQty() {
        return iPFBatchQty;
    }

    public void setiPFBatchQty(Float iPFBatchQty) {
        this.iPFBatchQty = iPFBatchQty;
    }

    public Integer getiAllocatePrintDgt() {
        return iAllocatePrintDgt;
    }

    public void setiAllocatePrintDgt(Integer iAllocatePrintDgt) {
        this.iAllocatePrintDgt = iAllocatePrintDgt;
    }

    public String getbCheckBatch() {
        return bCheckBatch;
    }

    public void setbCheckBatch(String bCheckBatch) {
        this.bCheckBatch = bCheckBatch;
    }

    public String getbMngOldpart() {
        return bMngOldpart;
    }

    public void setbMngOldpart(String bMngOldpart) {
        this.bMngOldpart = bMngOldpart;
    }

    public Integer getiOldpartMngRule() {
        return iOldpartMngRule;
    }

    public void setiOldpartMngRule(Integer iOldpartMngRule) {
        this.iOldpartMngRule = iOldpartMngRule;
    }

    public InventorySubEntity getInvSubEntity() {
        return invSubEntity;
    }

    public void setInvSubEntity(InventorySubEntity invSubEntity) {
        this.invSubEntity = invSubEntity;
    }
}
