package com.hzya.frame.u8.base.inventory.service;

import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.u8.base.inventory.entity.InventoryExtEntity;

/**
 * @description: 存货档案扩展自定义项  service
 * @tableName:   Inventory_extradefine 
 * @entityName:  InventoryExtEntity
 * @author: 	 gjh
 * @history:	 1.0
 */
public interface IInventoryExtService extends IBaseService<InventoryExtEntity,String> {

    /**
     * 根据存货编码查询存货扩展自定义项
     * @param entity
     * @return
     */
    InventoryExtEntity getInvExt(InventoryExtEntity entity)throws Exception;

    void saveOrUpdateInv(InventoryExtEntity entity)throws Exception;
}